Kodi Community Forum

Full Version: Can't load dll
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hello.
After updating from Frodo 12.2 XBMC to 13.0 the tvheadend will not start. I get the message "can't load dll".
The XBMC logfile is shown:

21:46:30 T:140153968387840 DEBUG: RegisterClient - registering add-on 'Tvheadend HTSP Client'
21:46:30 T:140153968387840 DEBUG: PVR - Create - creating PVR add-on instance 'Tvheadend HTSP Client'
21:46:30 T:140153968387840 DEBUG: ADDON: Dll Initializing - Tvheadend HTSP Client
21:46:30 T:140153968387840 DEBUG: SECTION:LoadDLL(/usr/lib/xbmc/addons/pvr.hts/XBMC_Tvheadend.pvr)
21:46:30 T:140153968387840 DEBUG: Loading: /usr/lib/xbmc/addons/pvr.hts/XBMC_Tvheadend.pvr
21:46:30 T:140153968387840 WARNING: Unable to resolve: XBMC_Tvheadend.pvr ADDON_Announce, reason: /usr/lib/xbmc/addons/pvr.hts/XBMC_Tvheadend.pvr: undefined symbol: ADDON_Announce
21:46:30 T:140153968387840 ERROR: Unable to resolve exports from dll /usr/lib/xbmc/addons/pvr.hts/XBMC_Tvheadend.pvr
21:46:30 T:140153968387840 DEBUG: SECTION:UnloadDll(/usr/lib/xbmc/addons/pvr.hts/XBMC_Tvheadend.pvr)
21:46:30 T:140153968387840 DEBUG: Unloading: XBMC_Tvheadend.pvr
21:46:30 T:140153968387840 INFO: Called Add-on status handler for '4' of clientName:Tvheadend HTSP Client, clientID:pvr.hts (same Thread=no)
21:46:30 T:140153968387840 WARNING: UpdateAndInitialiseClients - failed to create add-on Tvheadend HTSP Client, status = 6
21:46:30 T:140153968387840 WARNING: UpdateAndInitialiseClients - failed to load the dll for add-on Tvheadend HTSP Client, disabling it
21:46:30 T:140154750048000 NOTICE: Thread AddonStatus pvr.hts start, auto delete: true
21:46:30 T:140155234064320 DEBUG: CGUIMediaWindow::GetDirectory (addons://disabled/xbmc.pvrclient)
21:46:30 T:140155234064320 DEBUG: ParentPath = [addons://disabled/xbmc.pvrclient]


What is the problem? I also update the tvheadend. The tvheadend itself is working. I can watch tv via the tvheadend webinterface.

Thanks!!!
Maybe you forgot to update the tvheadend addon? The Frodo version is not compatible with Gotham.
How can I update the addon?
It's usually a package called xbmc-pvr-tvheadend-hts or something.
If I select the addon I have options like enable, disable, configure deinstall but update (aktualisieren) is not selectable (I see the function but it is grey).


For my understanding. I have installed the backend software under ubuntu. I did

sudo apt-get install tvheadend xmbc

Why is it nessessary to install/update another addon in xmbc?
Hello,

I had the same problem, and you need to update the addons with apt-get, because there are dependencies.

I upgrade all my system with
apt-get upgrade

but if you want to update only the tvheadend addon, you can try
apt-get update xbmc-pvr-tvheadend-hts

Mulb
@gorschten: just run sudo apt-get install xbmc-pvr-tvheadend-hts, that will get you the latest version.
Hi.
Now it works.
I did
apt-get update
and
apt-get upgrade
once again (I am wondering because I did it two times) and after restarting xbmc it works.
Thanks a lot!